<?php
	### php-msql-admin DB MANAGER
	# Copyright  2001 Antonio Bonifati <antonio_bonifati@yahoo.it>
	# All rights reserved.
	# For more information please see the file LICENSE included
	# in the distribution (LICENZA for the italian users).

require 'CONF.php';
require 'lib.php';

function redirect($file)
{
   global $hostname, $database;
   header("Location: $file?hostname=$hostname&database=$database");
   exit;
}

   try_pconnect();

   switch ($action)
   {
      case 'New':
	 $new_database=trim($new_database);
	 if ($new_database)
	    msql_create_db($new_database);
	 break;
      case 'Drop':
	 if ($database)
	    msql_drop_db($database);
	 break;
      case 'Structure':
	 if ($database)
	    redirect('dbstruct.php');
	 break;
      case 'Query':
	 if ($database)
	    redirect('dbquery.php');
   }

?>
<html>
<head>
<title>php-msql-admin: db management</title>
<script language="JavaScript">
  function unSelectDatabase(form) {
    with (form.database)
       options[selectedIndex].selected=false;
  }

  function confirmDrop() {
    return confirm("Please confirm");
  }
</script>
</head>
<body bgcolor="#ccffff" text="#ffffff" link="#ffffff" vlink="#ffffff" alink="#ff99ff">
<table width=100% cellpadding=4 cellspacing=1 border=0 align=center>
<tr bgcolor="#0000ff"><td><b>php-msql-admin <?php echo REL; ?></b></td>
<td align=center><small><b><?php
	echo_hosts();
?></b></small></td>
<td align=right><small><a href="index.php">hosts</a></small></td></tr>
<tr><td align=center colspan=3><p><br>
<?php
   echo_msql_error();
?>
<font color="#000000"><big>Database management</big><p>
<form method=post>
<?php
   echo "<input type=hidden name=hostname value=\"$hostname\">";

   $dbs=msql_listdbs();
   $dbsnum=msql_numrows($dbs);
   
   if ($dbsnum)
   {
      echo '<select name=database size=', ($dbsnum>10 ? 10:$dbsnum), ">\n";
      for ($i=0; $i<$dbsnum; $i++)
	 $dbname[]=msql_dbname($dbs, $i);
      msql_freeresult($dbs);
      if (SORT) sort($dbname);
      for ($i=0; $i<$dbsnum; $i++)
	 echo '<option>', $dbname[$i], "\n";
      echo '</select><br>
<input type=submit name="action" value="Drop" onClick="return confirmDrop()">
<input type=submit name="action" value="Structure">
<input type=submit name="action" value="Query"><p>
';
   }
?>
<input type=text name=new_database onChange="unSelectDatabase(this.form)">
<input type=submit name="action" value="New">
</form></font></td></tr>
</table>
</body>
</html>
